mptcpd_interface_callback_data Struct Reference

Callback information supplied by the user. More...

Collaboration diagram for mptcpd_interface_callback_data:
[legend]

## Public Attributes

mptcpd_nm_callback | callback
| Function to be called when iterating over network interfaces.
void * | user_data
| User supplied data. More...

## Detailed Description

Callback information supplied by the user.

## Member Data Documentation

## user_data

void* mptcpd_interface_callback_data::user_data

User supplied data.

Data supplied by the user to be passed to the `callback` function during network interface iteration.

The documentation for this struct was generated from the following file:

- lib/network_monitor.c